>_ NicAPI Dokumentation

REST-API von LUMASERV: Domains, DNS, SSL, Cloud-Server, IP-Adressen, Abrechnung und mehr.

Abrechnung / Rechnungen

GET Rechnungen abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/billings

Gibt alle zugewiesenen Rechnugen zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
BILLINGS_LIST

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/billings"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/billings");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Rechnungspositionen abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/billings/positions

Gibt alle zugewiesenen Rechnungspositionen zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
BILLINGS_LIST

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/billings/positions"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/billings/positions");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Billings: Positions Statistics API v1

GET https://connect.nicapi.eu/api/v1/accounting/billings/positions/statistics
Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
BILLINGS_LIST

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/billings/positions/statistics"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/billings/positions/statistics");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Einzelne Rechnungsposition abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/billings/positions/{billing_position}

Gibt Informationen zu einer einzelnen Rechnungsposition zurück

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
BILLINGS_LIST

Pfad-Parameter Werden direkt in die URL eingesetzt.

Name Pflicht Typ Einschränkungen Beschreibung
billing_position Pflicht Identifikator: Rechnungsposition Identifikator (id) des Objekts „Billing Position“, Teil des Pfads.

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/billings/positions/{billing_position}"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/billings/positions/{billing_position}");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Billings: Statistics API v1

GET https://connect.nicapi.eu/api/v1/accounting/billings/statistics
Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
BILLINGS_LIST

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/billings/statistics"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/billings/statistics");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Einzelne Rechnung abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/billings/{billing}

Gibt Informationen zu einer einzelnen Rechnung zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
BILLINGS_LIST

Pfad-Parameter Werden direkt in die URL eingesetzt.

Name Pflicht Typ Einschränkungen Beschreibung
billing Pflicht Identifikator: Rechnung Identifikator (number) des Objekts „Billing“, Teil des Pfads.

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/billings/{billing}"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/billings/{billing}");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Rechnung downloaden API v1

GET https://connect.nicapi.eu/api/v1/accounting/billings/{billing}/download

Gibt einen Download der Rechnung zurück

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
BILLINGS_LIST

Pfad-Parameter Werden direkt in die URL eingesetzt.

Name Pflicht Typ Einschränkungen Beschreibung
billing Pflicht Identifikator: Rechnung Identifikator (number) des Objekts „Billing“, Teil des Pfads.

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/billings/{billing}/download"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/billings/{billing}/download");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

Abrechnung / Verträge

GET Verträge abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/contracts

Gibt alle zugewiesenen Verträge zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
CONTRACTS_LIST

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/contracts"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/contracts");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Vertragspositionen abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/contracts/positions

Gibt alle zugewiesenen Vertragspositionen zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
CONTRACTS_LIST

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/contracts/positions"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/contracts/positions");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Contracts: Positions Statistics API v1

GET https://connect.nicapi.eu/api/v1/accounting/contracts/positions/statistics
Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
CONTRACTS_LIST

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/contracts/positions/statistics"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/contracts/positions/statistics");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Einzelne Vertragsposition abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/contracts/positions/{contract_position}

Gibt Informationen zu einer einzelnen Vertragsposition zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
CONTRACTS_LIST

Pfad-Parameter Werden direkt in die URL eingesetzt.

Name Pflicht Typ Einschränkungen Beschreibung
contract_position Pflicht Identifikator: Vertragsposition Identifikator (id) des Objekts „Contract Position“, Teil des Pfads.

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/contracts/positions/{contract_position}"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/contracts/positions/{contract_position}");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Contracts: Statistics API v1

GET https://connect.nicapi.eu/api/v1/accounting/contracts/statistics
Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
CONTRACTS_LIST

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/contracts/statistics"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/contracts/statistics");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Einzelnen Vertrag abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/contracts/{contract}

Gibt Informationen zu einem einzelnen Vertrag zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
CONTRACTS_LIST

Pfad-Parameter Werden direkt in die URL eingesetzt.

Name Pflicht Typ Einschränkungen Beschreibung
contract Pflicht Identifikator: Vertrag Identifikator (id) des Objekts „Contract“, Teil des Pfads.

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/contracts/{contract}"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/contracts/{contract}");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Rechnungspositionen zu Vertrag abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/contracts/{contract}/last-billing-positions

Gibt alle aus einem Vertrag entstandenen Rechnungspositionen zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
CONTRACTS_LIST

Pfad-Parameter Werden direkt in die URL eingesetzt.

Name Pflicht Typ Einschränkungen Beschreibung
contract Pflicht Identifikator: Vertrag Identifikator (id) des Objekts „Contract“, Teil des Pfads.

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/contracts/{contract}/last-billing-positions"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/contracts/{contract}/last-billing-positions");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Positionen zu einzelnem Vertrag abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/contracts/{contract}/positions

Gibt alle einem einzelnen Vertrag zugewiesenen Positionen zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
CONTRACTS_LIST

Pfad-Parameter Werden direkt in die URL eingesetzt.

Name Pflicht Typ Einschränkungen Beschreibung
contract Pflicht Identifikator: Vertrag Identifikator (id) des Objekts „Contract“, Teil des Pfads.

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/contracts/{contract}/positions"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/contracts/{contract}/positions");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

Abrechnung / Lastschriftmandat

GET Lastschrift-Mandat abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/debit

Gibt das aktuelle Lastschrift-Mandat zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
DEBIT_MANDATES

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/debit"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/debit");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

POST Lastschrift-Mandat erstellen API v1

POST https://connect.nicapi.eu/api/v1/accounting/debit/create

Diese Funktion erstellt ein neues Lastschrift-Mandat.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
DEBIT_MANDATES

Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).

Name Pflicht Typ Einschränkungen Beschreibung
owner Pflicht Text
iban Pflicht Text
bic Pflicht Text
Format: /^[A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?\z/
curl \
  -X POST \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "owner": "text",
         "iban": "text",
         "bic": "text"
     }' \
  "https://connect.nicapi.eu/api/v1/accounting/debit/create"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::post("accounting/debit/create", [
    'owner' => 'text',
    'iban' => 'text',
    'bic' => 'text',
]);

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

POST Lastschrift-Mandat widerrufen API v1

POST https://connect.nicapi.eu/api/v1/accounting/debit/withdraw

Widerruft das aktuelle Lastschrift-Mandat.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
DEBIT_MANDATES

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -X POST \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/debit/withdraw"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::post("accounting/debit/withdraw");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

Abrechnung / Zahlungstransaktionen

POST Payment Transactions: Create API v1

POST https://connect.nicapi.eu/api/v1/accounting/payment-transactions/create
Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
PAYMENT_TRANSACTIONS_INIT

Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).

Name Pflicht Typ Einschränkungen Beschreibung
amount Pflicht Zahl
höchstens 999999.99
url_success Pflicht Text
url_error Pflicht Text
customer_id Pflicht Ganzzahl
mindestens 1
method Pflicht Auswahl
PAYPAL
curl \
  -X POST \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "amount": 1.5,
         "url_success": "text",
         "url_error": "text",
         "customer_id": 1,
         "method": "PAYPAL"
     }' \
  "https://connect.nicapi.eu/api/v1/accounting/payment-transactions/create"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::post("accounting/payment-transactions/create", [
    'amount' => 1.5,
    'url_success' => 'text',
    'url_error' => 'text',
    'customer_id' => 1,
    'method' => 'PAYPAL',
]);

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

Abrechnung / Preise

GET Pricing: Cloud Servers API v2

GET https://connect.nicapi.eu/api/v2/accounting/pricing/cloud/servers
Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)

Request-Parameter Werden als Query-Parameter übergeben.

Name Pflicht Typ Einschränkungen Beschreibung
customer_id Pflicht Text
curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v2/accounting/pricing/cloud/servers?customer_id=text"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("https://connect.nicapi.eu/api/v2/accounting/pricing/cloud/servers", [
    'customer_id' => 'text',
]);

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Domainpreise abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/pricing/domains

Gibt die aktuell gültigen Domainpreise zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
PRICES · DOMAINS_PRICING

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/pricing/domains"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/pricing/domains");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Domainangebote abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/pricing/domains/discounts

Gibt die aktuell laufenden Domainaktionen zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
PRICES · DOMAINS_PRICING

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/pricing/domains/discounts"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/pricing/domains/discounts");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Pricing: Domains Generate Pdf API v1

GET https://connect.nicapi.eu/api/v1/accounting/pricing/domains/generatePdf
Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
PRICES · DOMAINS_PRICING

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/pricing/domains/generatePdf"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/pricing/domains/generatePdf");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Service-Preise abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/pricing/services

Gibt die aktuellen Preise zu Services zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
PRICES · SERVICES_PRICING

Request-Parameter Werden als Query-Parameter übergeben.

Name Pflicht Typ Einschränkungen Beschreibung
key Pflicht Text
muss ein vorhandener Wert sein (services.key)
curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/pricing/services?key=text"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/pricing/services", [
    'key' => 'text',
]);

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET SSL-Preise abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/pricing/ssl

Gibt die aktuellen Preise für SSL-Zertifikate zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
PRICES · SSL_CERTIFICATES_PRICING

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/pricing/ssl"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/pricing/ssl");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET TeamSpeak-Preise abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/pricing/teamspeak

Gibt die aktuellen Preise für TeamSpeak zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
PRICES · TEAMSPEAK_PRICING

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/pricing/teamspeak"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/pricing/teamspeak");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Traffic-Preise abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/pricing/traffic

Gibt die aktuellen Traffic-Preise zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
PRICES · TRAFFIC_PRICING

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/pricing/traffic"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/pricing/traffic");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET vServer-Preise abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/pricing/vservers

Gibt die aktuellen vServer-Preise zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
PRICES · VSERVERS_PRICING

Request-Parameter Werden als Query-Parameter übergeben.

Name Pflicht Typ Einschränkungen Beschreibung
cores Optional Text
darf leer (null) sein
muss einer buchbaren Konfiguration entsprechen (siehe Preise)
muss für den Kunden buchbar sein
memory Optional Text
darf leer (null) sein
muss einer buchbaren Konfiguration entsprechen (siehe Preise)
muss für den Kunden buchbar sein
project_uuid Optional Identifikator: Projekt
darf leer (null) sein
Identifikator (uuid) des Objekts „Project“.
curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/pricing/vservers?cores=text&memory=text&project_uuid=%7Bproject_uuid%7D"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/pricing/vservers", [
    'cores' => 'text',
    'memory' => 'text',
    'project_uuid' => '{project_uuid}',
]);

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

Abrechnung / Kostenverlauf

GET Series: Auflisten API v1

GET https://connect.nicapi.eu/api/v1/accounting/series
Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
PRICES

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/series"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/series");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

Abrechnung / Statistiken

GET Statistics: Einzeln abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/statistics/{name}
Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
ACCOUNTING_INFO

Pfad-Parameter Werden direkt in die URL eingesetzt.

Name Pflicht Typ Einschränkungen Beschreibung
name Pflicht Text

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/statistics/{name}"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/statistics/{name}");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

Abrechnung / Transaktionen

GET Transaktionen abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/transactions

Gibt die zugewiesenen Transaktionen zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
USER_TRANSACTIONS_LIST

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/transactions"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/transactions");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Transactions: Statistics API v1

GET https://connect.nicapi.eu/api/v1/accounting/transactions/statistics
Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
USER_TRANSACTIONS_LIST

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/transactions/statistics"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/transactions/statistics");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Einzelne Transaktion abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/transactions/{transaction}

Gibt Informationen über die einzelne Transaktion zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
USER_TRANSACTIONS_LIST

Pfad-Parameter Werden direkt in die URL eingesetzt.

Name Pflicht Typ Einschränkungen Beschreibung
transaction Pflicht Identifikator: Guthaben-Transaktion Identifikator (id) des Objekts „User Transaction“, Teil des Pfads.

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/transactions/{transaction}"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/transactions/{transaction}");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}